Package org.opensaml.xmlsec.signature

# Interface CryptoBinary

All Superinterfaces:
  `XMLObject`, `XSBase64Binary`

All Known Subinterfaces:
  `ECPointType`, `Exponent`, `G`, `Generator`, `J`, `Modulus`, `P`, `P`, `PgenCounter`, `PgenCounter`, `Public`, `PublicKey`, `Q`, `Q`, `Seed`, `Seed`, `Y`

All Known Implementing Classes:
  `CryptoBinaryImpl`, `ECPointTypeImpl`, `ExponentImpl`, `GeneratorImpl`, `GImpl`, `JImpl`, `ModulusImpl`, `PgenCounterImpl`, `PgenCounterImpl`, `PImpl`, `PImpl`, `PublicImpl`, `PublicKeyImpl`, `QImpl`, `QImpl`, `SeedImpl`, `SeedImpl`, `YImpl`

public interface CryptoBinary extends XSBase64Binary
XMLObject representing XML Digital Signature, version 20020212, CryptoBinary simple type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getValueBigInt()`
Convenience method to get the value of the element as a BigInteger type.
`void`
`setValueBigInt(BigInteger bigInt)`
Convenience method to set the value of the element as a BigInteger type.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValueBigInt

@Nullable BigInteger getValueBigInt()
Convenience method to get the value of the element as a BigInteger type.

Returns:
  the BigInteger representation of the element's content

### setValueBigInt

void setValueBigInt(@Nullable BigInteger bigInt) throws EncodingException
Convenience method to set the value of the element as a BigInteger type.

Parameters:
  `bigInt` - the new BigInteger representation of the element's content
Throws:
  `EncodingException` - if the byte value of the BigInteger can not be base64 encoded.